import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class ScanButton extends StatelessWidget {
  const ScanButton({super.key});
  static const Color transparent = Color(0xFFFFFFF);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Container(
        decoration: BoxDecoration(
          shape: BoxShape.circle,
          color: const Color.fromARGB(99, 240, 12, 12),
        ),
        padding: EdgeInsets.all(10),
        child: IconButton(
          icon: SvgPicture.asset(
            'icons/Scan.svg',
            width: 60,
            height: 60,
            colorFilter: ColorFilter.mode(
              Color.fromARGB(255, 52, 79, 231),
              BlendMode.srcIn,
            ),
          ),
          onPressed: () {},
        ),
      ),
    );
  }
}
